SmartMemory
POST
/memory/adapters/google_drive/list

One page of a configured folder. Body {folder_id?, state?}; state is {watermark, page_state} as sealed by the last page (both null or absent: a snapshot from the start).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?Payload

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/memory/adapters/google_drive/list"
null
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}
{
  "detail": {
    "error_type": "string",
    "message": "string"
  }
}